# $Revision: 1.24.2.2 $, $Date: 2003/04/28 12:51:53 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Set
%define		pnam	Object
Summary:	Set::Object Perl module
Summary(cs):	Modul Set::Object pro Perl
Summary(da):	Perlmodul Set::Object
Summary(de):	Set::Object Perl Modul
Summary(es):	Mdulo de Perl Set::Object
Summary(fr):	Module Perl Set::Object
Summary(it):	Modulo di Perl Set::Object
Summary(ja):	Set::Object Perl ⥸塼
Summary(ko):	Set::Object  
Summary(no):	Perlmodul Set::Object
Summary(pl):	Modu Perla Set::Object
Summary(pt):	Mdulo de Perl Set::Object
Summary(pt_BR):	Mdulo Perl Set::Object
Summary(ru):	  Perl Set::Object
Summary(sv):	Set::Object Perlmodul
Summary(uk):	  Perl Set::Object
Summary(zh_CN):	Set::Object Perl ģ
Name:		perl-Set-Object
Version:	1.02
Release:	8
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Set::Object Perl module implements a Set of objects, that is, a
collection of objects without duplications. It is similar to a
Smalltalk IdentitySet.

%description -l pl
Modu Perla Set::Object implementuje zbir obiektw, tzn. zestaw
obiektw bez duplikatw. Jest on podobny do IdentitySet Smalltalka.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitearch}/Set
%dir %{perl_sitearch}/auto/Set
%dir %{perl_sitearch}/auto/Set/Object
%{perl_sitearch}/auto/Set/Object/autosplit.ix
%{perl_sitearch}/auto/Set/Object/Object.bs
%attr(755,root,root) %{perl_sitearch}/auto/Set/Object/Object.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Set-Object.spec,v $
Revision 1.24.2.2  2003/04/28 12:51:53  ankry
- really rel++

Revision 1.24.2.1  2003/03/13 00:58:41  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.24  2003/02/25 00:41:47  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:38:08  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/08/03 11:37:55  ankry
- added test on BCond
- fixed License, removed README
- real description
- autosplit.ix is back
- release 7

Revision 1.21  2002/07/18 13:48:04  ankry
- translations, cleaning
- new %%doc
- added %%{perl_sitearch}/Set
- removed autosplit.ix
- release 6

Revision 1.20  2002/07/10 08:48:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:34:13  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:19:54  depesz
automatic: Source location unified, Relase Up

Revision 1.15  2002/02/10 15:33:55  depesz
adapterized

Revision 1.14  2002/01/18 02:14:27  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.12  2001/04/17 12:15:18  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/25 20:03:47  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.9  2001/01/23 16:58:50  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/08/22 20:48:46  kloczek
- updated to 1.02.

Revision 1.7  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:59  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:35:25  pius
- updated to 1.01

Revision 1.2  1999/11/07 09:18:46  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:47  pius
- initial release
